<?php

	require_once ("Pessoa.php");
	require_once ("Tema.php");

	class Edicao {
		private $tema;					     
		private $editor_chefe;
		private $volume;
		private $numero;
		private $data_publicacao;
	
	
		function __construct($tema,$editor_chefe, $volume, $numero, $data_publicacao) {
			$this->tema = $tema;
			$this->editor_chefe = $editor_chefe;
			$this->volume = $volume;
			$this->numero = $numero;
			$this->data_publicacao = explode("/", $data_publicacao);
		}
	

		public function getTema() {
			return $this->tema;
		}
	
		public function getEditorChefe() {
			return $this->editor_chefe;
		}
	
		public function setEditorChefe($editor_chefe) {
			$this->editor_chefe = editor_chefe;
		}
	
		public function getVolume() {
			return $this->volume;
		}

		public function getNumero() {
			return $this->numero;
		}

		public function getDataPublicacao() {
			return $this->data_publicacao;
		}

		public function toString() {
			$e = $this->editor_chefe;
			return 'Edicao [Volume = ' . $this->volume .', Numero = ' . $this->numero . 
			', Data de Publicação = ' . $this->data_publicacao[0] . "-" . $this->data_publicacao[1] . "-" . $this->data_publicacao[2]. 
			" , Tema = " . $this->tema->getNome() .
			 ', Editor Chefe = ' . $e->getNome() . "]\n" ;
		}
	
	}

?>
