<?php

	require_once ("Revisor.php");
	require_once ("Artigo.php");
	class Revisao {		
		private $artigo;
		private $revisor;				
		private $notaOriginalidade;		
		private $notaConteudo;		
		private $notaApresentacao;		
	

		function __construct($artigo, $revisor, $nOrig, $nCont, $nApres) {
			$this->artigo = $artigo;
			$this->revisor = $revisor;
			$this->notaOriginalidade = $nOrig;
			$this->notaConteudo = $nCont;
			$this->notaApresentacao = $nApres;
		}
	
		public function getMediaNotas() {
			return  ($this->notaOriginalidade + $this->notaConteudo + $this->notaApresentacao)/3;
		}

		public function getRevisor() {
			return $this->revisor;
		}

		public function setRevisor($revisor) {
			$this->revisor = $revisor;
		}

		public function toString() {
			return 'Revisao [Artigo = ' . $this->artigo->getCodigo() . ', Revisor = ' . $this->revisor->getNome()
					. ', Notas = ' . $this->notaOriginalidade
					. ', ' . $this->notaConteudo . ', '
					. $this->notaApresentacao . "]\n";
		}
	
	 	public function printNotas() {
			echo 'Originalidade: '.$this->notaOriginalidade . "\n";
			echo 'Conteúdo: ' .$this>notaConteudo . "\n";
			echo 'Apresentação: ' .$this->notaApresentacao . "\n";
		}
		
	}
?>
